Index: branches/devmercator2010/NEMO/OPA_SRC/SBC/sbcssr.F90
===================================================================
--- branches/devmercator2010/NEMO/OPA_SRC/SBC/sbcssr.F90	(revision 2069)
+++ branches/devmercator2010/NEMO/OPA_SRC/SBC/sbcssr.F90	(revision 2071)
@@ -115,6 +115,6 @@
                CALL ctl_stop( 'sbc_ssr: unable to allocate sf_sst structure' )   ;   RETURN
             ENDIF
-            ALLOCATE( sf_sst(1)%fnow(jpi,jpj) )
-            ALLOCATE( sf_sst(1)%fdta(jpi,jpj,2) )
+            ALLOCATE( sf_sst(1)%fnow(jpi,jpj,1) )
+            ALLOCATE( sf_sst(1)%fdta(jpi,jpj,1,2) )
             !
             ! fill sf_sst with sn_sst and control print
@@ -128,6 +128,6 @@
                CALL ctl_stop( 'sbc_ssr: unable to allocate sf_sss structure' )   ;   RETURN
             ENDIF
-            ALLOCATE( sf_sss(1)%fnow(jpi,jpj) )
-            ALLOCATE( sf_sss(1)%fdta(jpi,jpj,2) )
+            ALLOCATE( sf_sss(1)%fnow(jpi,jpj,1) )
+            ALLOCATE( sf_sss(1)%fdta(jpi,jpj,1,2) )
             !
             ! fill sf_sss with sn_sss and control print
@@ -153,5 +153,5 @@
                DO jj = 1, jpj
                   DO ji = 1, jpi
-                     zqrp = rn_dqdt * ( sst_m(ji,jj) - sf_sst(1)%fnow(ji,jj) )
+                     zqrp = rn_dqdt * ( sst_m(ji,jj) - sf_sst(1)%fnow(ji,jj,1) )
                      qns(ji,jj) = qns(ji,jj) + zqrp
                      qrp(ji,jj) = zqrp
@@ -167,5 +167,5 @@
                   DO ji = 1, jpi
                      zerp = zsrp * ( 1. - 2.*rnfmsk(ji,jj) )   &      ! No damping in vicinity of river mouths
-                        &        * ( sss_m(ji,jj) - sf_sss(1)%fnow(ji,jj) )   &
+                        &        * ( sss_m(ji,jj) - sf_sss(1)%fnow(ji,jj,1) )   &
                         &        / ( sss_m(ji,jj) + 1.e-20   )
                      emps(ji,jj) = emps(ji,jj) + zerp
@@ -182,5 +182,5 @@
                   DO ji = 1, jpi                            
                      zerp = zsrp * ( 1. - 2.*rnfmsk(ji,jj) )   &      ! No damping in vicinity of river mouths
-                        &        * ( sss_m(ji,jj) - sf_sss(1)%fnow(ji,jj) )   &
+                        &        * ( sss_m(ji,jj) - sf_sss(1)%fnow(ji,jj,1) )   &
                         &        / ( sss_m(ji,jj) + 1.e-20   )
                      IF( ln_sssr_bnd )   zerp = SIGN( 1., zerp ) * MIN( zerp_bnd, ABS(zerp) )
Index: branches/devmercator2010/NEMO/OPA_SRC/SOL/solmat.F90
===================================================================
--- branches/devmercator2010/NEMO/OPA_SRC/SOL/solmat.F90	(revision 2069)
+++ branches/devmercator2010/NEMO/OPA_SRC/SOL/solmat.F90	(revision 2071)
@@ -80,6 +80,5 @@
       ENDIF
 
-#if defined key_dynspg_flt 
-#   if ! defined key_obc
+#if defined key_dynspg_flt && ! defined key_obc
 
       DO jj = 2, jpjm1                      ! matrix of free surface elliptic system
@@ -98,6 +97,7 @@
          END DO
       END DO
-#   else
-    IF ( Agrif_Root() ) THEN
+      
+#  elif defined key_dynspg_flt && defined key_obc
+
       DO jj = 2, jpjm1                      ! matrix of free surface elliptic system with open boundaries
          DO ji = 2, jpim1
@@ -140,25 +140,8 @@
          END DO
       END DO
-    ELSE
-      DO jj = 2, jpjm1                      ! matrix of free surface elliptic system
-         DO ji = 2, jpim1
-            zcoef = z2dt * z2dt * grav * bmask(ji,jj)
-            zcoefs = -zcoef * hv(ji  ,jj-1) * e1v(ji  ,jj-1) / e2v(ji  ,jj-1)    ! south coefficient
-            zcoefw = -zcoef * hu(ji-1,jj  ) * e2u(ji-1,jj  ) / e1u(ji-1,jj  )    ! west coefficient
-            zcoefe = -zcoef * hu(ji  ,jj  ) * e2u(ji  ,jj  ) / e1u(ji  ,jj  )    ! east coefficient
-            zcoefn = -zcoef * hv(ji  ,jj  ) * e1v(ji  ,jj  ) / e2v(ji  ,jj  )    ! north coefficient
-            gcp(ji,jj,1) = zcoefs
-            gcp(ji,jj,2) = zcoefw
-            gcp(ji,jj,3) = zcoefe
-            gcp(ji,jj,4) = zcoefn
-            gcdmat(ji,jj) = e1t(ji,jj) * e2t(ji,jj) * bmask(ji,jj)    &          ! diagonal coefficient
-               &          - zcoefs -zcoefw -zcoefe -zcoefn
-         END DO
-      END DO
-    ENDIF
-#   endif
 #endif
 
-      IF( .NOT. Agrif_Root() ) THEN
+#if defined key_agrif
+      IF( .NOT.AGRIF_ROOT() ) THEN
          !
          IF( nbondi == -1 .OR. nbondi == 2 )   bmask(2     ,:     ) = 0.e0
@@ -209,4 +192,5 @@
          ! 
       ENDIF
+#endif
 
       ! 2. Boundary conditions 
Index: branches/devmercator2010/NEMO/OPA_SRC/TRA/traadv_tvd.F90
===================================================================
--- branches/devmercator2010/NEMO/OPA_SRC/TRA/traadv_tvd.F90	(revision 2069)
+++ branches/devmercator2010/NEMO/OPA_SRC/TRA/traadv_tvd.F90	(revision 2071)
@@ -179,9 +179,4 @@
       END DO
 
-      ! "zonal" mean advective heat and salt transport
-      IF( ln_diaptr .AND. ( MOD( kt, nf_ptr ) == 0 ) ) THEN
-         pht_adv(:) = ptr_vj( ztv(:,:,:) )
-         pst_adv(:) = ptr_vj( zsv(:,:,:) )
-      ENDIF
 
       ! Save the intermediate i / j / k advective trends for diagnostics
@@ -371,6 +366,6 @@
       ! "zonal" mean advective heat and salt transport
       IF( ln_diaptr .AND. ( MOD( kt, nf_ptr ) == 0 ) ) THEN
-         pht_adv(:) = ptr_vj( ztv(:,:,:) ) + pht_adv(:)
-         pst_adv(:) = ptr_vj( zsv(:,:,:) ) + pst_adv(:)
+         pht_adv(:) = ptr_vj( ztv(:,:,:) )
+         pst_adv(:) = ptr_vj( zsv(:,:,:) )
       ENDIF
       !
Index: branches/devmercator2010/NEMO/OPA_SRC/TRA/tranxt.F90
===================================================================
--- branches/devmercator2010/NEMO/OPA_SRC/TRA/tranxt.F90	(revision 2069)
+++ branches/devmercator2010/NEMO/OPA_SRC/TRA/tranxt.F90	(revision 2071)
@@ -38,5 +38,4 @@
    USE agrif_opa_update
    USE agrif_opa_interp
-   USE obc_oce 
 
    IMPLICIT NONE
@@ -102,5 +101,5 @@
       !
 #if defined key_obc
-      IF( lk_obc )   CALL obc_tra( kt )  ! OBC open boundaries
+      CALL obc_tra( kt )               ! OBC open boundaries
 #endif
 #if defined key_bdy
Index: branches/devmercator2010/NEMO/OPA_SRC/TRA/traqsr.F90
===================================================================
--- branches/devmercator2010/NEMO/OPA_SRC/TRA/traqsr.F90	(revision 2069)
+++ branches/devmercator2010/NEMO/OPA_SRC/TRA/traqsr.F90	(revision 2071)
@@ -45,9 +45,7 @@
    
    ! Module variables
-!$AGRIF_DO_NOT_TREAT
    TYPE(FLD), ALLOCATABLE, DIMENSION(:) ::   sf_chl   ! structure of input Chl (file informations, fields read)
    INTEGER ::   nksr   ! levels below which the light cannot penetrate ( depth larger than 391 m)
    REAL(wp), DIMENSION(3,61) ::   rkrgb   !: tabulated attenuation coefficients for RGB absorption
-!$AGRIF_END_DO_NOT_TREAT
 
    !! * Substitutions
@@ -144,5 +142,5 @@
 !CDIR NOVERRCHK
                   DO ji = 1, jpi
-                     zchl = MIN( 10. , MAX( 0.03, sf_chl(1)%fnow(ji,jj) ) )
+                     zchl = MIN( 10. , MAX( 0.03, sf_chl(1)%fnow(ji,jj,1) ) )
                      irgb = NINT( 41 + 20.*LOG10(zchl) + 1.e-15 )
                      zekb(ji,jj) = rkrgb(1,irgb)
@@ -336,6 +334,6 @@
                   CALL ctl_stop( 'tra_qsr_init: unable to allocate sf_chl structure' )   ;   RETURN
                ENDIF
-               ALLOCATE( sf_chl(1)%fnow(jpi,jpj)   )
-               ALLOCATE( sf_chl(1)%fdta(jpi,jpj,2) )
+               ALLOCATE( sf_chl(1)%fnow(jpi,jpj,1)   )
+               ALLOCATE( sf_chl(1)%fdta(jpi,jpj,1,2) )
                !                                        ! fill sf_chl with sn_chl and control print
                CALL fld_fill( sf_chl, (/ sn_chl /), cn_dir, 'tra_qsr_init',   &
Index: branches/devmercator2010/NEMO/OPA_SRC/TRA/trasbc.F90
===================================================================
--- branches/devmercator2010/NEMO/OPA_SRC/TRA/trasbc.F90	(revision 2069)
+++ branches/devmercator2010/NEMO/OPA_SRC/TRA/trasbc.F90	(revision 2071)
@@ -134,7 +134,5 @@
                zta = ro0cpr * qns(ji,jj) * zse3t &                   ! temperature : heat flux
                 &    - emp(ji,jj) * zsrau * tn(ji,jj,1)  * zse3t     ! & cooling/heating effet of EMP flux
-               zsa = ( emps(ji,jj) - emp(ji,jj) ) &
-                &                 * zsrau * sn(ji,jj,1)  * zse3t     ! concent./dilut. effect due to sea-ice 
-                                                                     ! melt/formation and (possibly) SSS restoration
+               zsa = 0.e0                                            ! No salinity concent./dilut. effect
             ELSE
                zta = ro0cpr * qns(ji,jj) * zse3t     ! temperature : heat flux
Index: branches/devmercator2010/NEMO/OPA_SRC/lib_mpp.F90
===================================================================
--- branches/devmercator2010/NEMO/OPA_SRC/lib_mpp.F90	(revision 2069)
+++ branches/devmercator2010/NEMO/OPA_SRC/lib_mpp.F90	(revision 2071)
@@ -103,5 +103,5 @@
    !! ========================= !!
 !$AGRIF_DO_NOT_TREAT
-   INCLUDE 'mpif.h'
+#  include <mpif.h>
 !$AGRIF_END_DO_NOT_TREAT
    
@@ -112,7 +112,5 @@
    INTEGER ::   mppsize        ! number of process
    INTEGER ::   mpprank        ! process number  [ 0 - size-1 ]
-!$AGRIF_DO_NOT_TREAT
-   INTEGER, PUBLIC ::   mpi_comm_opa   ! opa local communicator
-!$AGRIF_END_DO_NOT_TREAT
+   INTEGER ::   mpi_comm_opa   ! opa local communicator
 
    ! variables used in case of sea-ice
@@ -193,13 +191,67 @@
       WRITE(ldtxt(6),*) '      size in bytes of exported buffer   nn_buffer   = ', nn_buffer
 
-      CALL mpi_initialized ( mpi_was_called, code )
-      IF( code /= MPI_SUCCESS ) THEN
-         WRITE(*, cform_err)
-         WRITE(*, *) 'lib_mpp: Error in routine mpi_initialized'
-         CALL mpi_abort( mpi_comm_world, code, ierr )
-      ENDIF
-
-      IF( mpi_was_called ) THEN
-         !
+#if defined key_agrif
+      IF( Agrif_Root() ) THEN
+#endif
+         !!bug RB : should be clean to use Agrif in coupled mode
+#if ! defined key_agrif
+         CALL mpi_initialized ( mpi_was_called, code )
+         IF( code /= MPI_SUCCESS ) THEN
+            WRITE(*, cform_err)
+            WRITE(*, *) 'lib_mpp: Error in routine mpi_initialized'
+            CALL mpi_abort( mpi_comm_world, code, ierr )
+         ENDIF
+
+         IF( PRESENT(localComm) .and. mpi_was_called ) THEN
+            mpi_comm_opa = localComm
+            SELECT CASE ( cn_mpi_send )
+            CASE ( 'S' )                ! Standard mpi send (blocking)
+               WRITE(ldtxt(7),*) '           Standard blocking mpi send (send)'
+            CASE ( 'B' )                ! Buffer mpi send (blocking)
+               WRITE(ldtxt(7),*) '           Buffer blocking mpi send (bsend)'
+               CALL mpi_init_opa( ierr ) 
+            CASE ( 'I' )                ! Immediate mpi send (non-blocking send)
+               WRITE(ldtxt(7),*) '           Immediate non-blocking send (isend)'
+               l_isend = .TRUE.
+            CASE DEFAULT
+               WRITE(ldtxt(7),cform_err)
+               WRITE(ldtxt(8),*) '           bad value for cn_mpi_send = ', cn_mpi_send
+               nstop = nstop + 1
+            END SELECT
+         ELSE IF ( PRESENT(localComm) .and. .not. mpi_was_called ) THEN
+            WRITE(ldtxt(7),*) ' lib_mpp: You cannot provide a local communicator '
+            WRITE(ldtxt(8),*) '          without calling MPI_Init before ! '
+            nstop = nstop + 1
+         ELSE
+#endif
+            SELECT CASE ( cn_mpi_send )
+            CASE ( 'S' )                ! Standard mpi send (blocking)
+               WRITE(ldtxt(7),*) '           Standard blocking mpi send (send)'
+               CALL mpi_init( ierr )
+            CASE ( 'B' )                ! Buffer mpi send (blocking)
+               WRITE(ldtxt(7),*) '           Buffer blocking mpi send (bsend)'
+               CALL mpi_init_opa( ierr )
+            CASE ( 'I' )                ! Immediate mpi send (non-blocking send)
+               WRITE(ldtxt(7),*) '           Immediate non-blocking send (isend)'
+               l_isend = .TRUE.
+               CALL mpi_init( ierr )
+            CASE DEFAULT
+               WRITE(ldtxt(7),cform_err)
+               WRITE(ldtxt(8),*) '           bad value for cn_mpi_send = ', cn_mpi_send
+               nstop = nstop + 1
+            END SELECT
+
+#if ! defined key_agrif
+            CALL mpi_comm_dup( mpi_comm_world, mpi_comm_opa, code)
+            IF( code /= MPI_SUCCESS ) THEN
+               WRITE(*, cform_err)
+               WRITE(*, *) ' lib_mpp: Error in routine mpi_comm_dup'
+               CALL mpi_abort( mpi_comm_world, code, ierr )
+            ENDIF
+            !
+         ENDIF
+#endif
+#if defined key_agrif
+      ELSE
          SELECT CASE ( cn_mpi_send )
          CASE ( 'S' )                ! Standard mpi send (blocking)
@@ -207,5 +259,4 @@
          CASE ( 'B' )                ! Buffer mpi send (blocking)
             WRITE(ldtxt(7),*) '           Buffer blocking mpi send (bsend)'
-            CALL mpi_init_opa( ierr ) 
          CASE ( 'I' )                ! Immediate mpi send (non-blocking send)
             WRITE(ldtxt(7),*) '           Immediate non-blocking send (isend)'
@@ -216,41 +267,8 @@
             nstop = nstop + 1
          END SELECT
-      ELSE IF ( PRESENT(localComm) .and. .not. mpi_was_called ) THEN
-         WRITE(ldtxt(7),*) ' lib_mpp: You cannot provide a local communicator '
-         WRITE(ldtxt(8),*) '          without calling MPI_Init before ! '
-         nstop = nstop + 1
-      ELSE
-         SELECT CASE ( cn_mpi_send )
-         CASE ( 'S' )                ! Standard mpi send (blocking)
-            WRITE(ldtxt(7),*) '           Standard blocking mpi send (send)'
-            CALL mpi_init( ierr )
-         CASE ( 'B' )                ! Buffer mpi send (blocking)
-            WRITE(ldtxt(7),*) '           Buffer blocking mpi send (bsend)'
-            CALL mpi_init_opa( ierr )
-         CASE ( 'I' )                ! Immediate mpi send (non-blocking send)
-            WRITE(ldtxt(7),*) '           Immediate non-blocking send (isend)'
-            l_isend = .TRUE.
-            CALL mpi_init( ierr )
-         CASE DEFAULT
-            WRITE(ldtxt(7),cform_err)
-            WRITE(ldtxt(8),*) '           bad value for cn_mpi_send = ', cn_mpi_send
-            nstop = nstop + 1
-         END SELECT
-         !
       ENDIF
 
-      IF( PRESENT(localComm) ) THEN 
-         IF( Agrif_Root() ) THEN
-            mpi_comm_opa = localComm
-         ENDIF
-      ELSE
-         CALL mpi_comm_dup( mpi_comm_world, mpi_comm_opa, code)
-         IF( code /= MPI_SUCCESS ) THEN
-            WRITE(*, cform_err)
-            WRITE(*, *) ' lib_mpp: Error in routine mpi_comm_dup'
-            CALL mpi_abort( mpi_comm_world, code, ierr )
-         ENDIF
-      ENDIF 
-
+      mpi_comm_opa = mpi_comm_world
+#endif
       CALL mpi_comm_rank( mpi_comm_opa, mpprank, ierr )
       CALL mpi_comm_size( mpi_comm_opa, mppsize, ierr )
@@ -2049,5 +2067,4 @@
       ijpj   = 4
       ijpjm1 = 3
-      ztab(:,:,:) = 0.e0
       !
       DO jj = nlcj - ijpj +1, nlcj          ! put in znorthloc the last 4 jlines of pt3d
@@ -2115,5 +2132,4 @@
       ijpj   = 4
       ijpjm1 = 3
-      ztab(:,:) = 0.e0
       !
       DO jj = nlcj-ijpj+1, nlcj             ! put in znorthloc the last 4 jlines of pt2d
@@ -2181,5 +2197,4 @@
       !
       ijpj=4
-      ztab(:,:) = 0.e0
 
       ij=0
Index: branches/devmercator2010/NEMO/OPA_SRC/opa.F90
===================================================================
--- branches/devmercator2010/NEMO/OPA_SRC/opa.F90	(revision 2069)
+++ branches/devmercator2010/NEMO/OPA_SRC/opa.F90	(revision 2071)
@@ -156,7 +156,5 @@
       CALL opa_closefile
 #if defined key_oasis3 || defined key_oasis4
-      IF( Agrif_Root() ) THEN
-         CALL cpl_prism_finalize           ! end coupling and mpp communications with OASIS
-     ENDIF 
+      CALL cpl_prism_finalize           ! end coupling and mpp communications with OASIS
 #else
       IF( lk_mpp )   CALL mppstop       ! end mpp communications
@@ -193,12 +191,8 @@
 #if defined key_iomput
 # if defined key_oasis3 || defined key_oasis4
-      IF( Agrif_Root() ) THEN
-         CALL cpl_prism_init( ilocal_comm )      ! nemo local communicator given by oasis
-         CALL init_ioclient()                    ! io_server will get its communicators (if needed) from oasis (we don't see it)
-      ENDIF
+      CALL cpl_prism_init( ilocal_comm )      ! nemo local communicator given by oasis
+      CALL init_ioclient()                    ! io_server will get its communicators (if needed) from oasis (we don't see it)
 # else
-      IF( Agrif_Root() ) THEN
-         CALL init_ioclient( ilocal_comm )       ! nemo local communicator (used or not) given by the io_server
-      ENDIF
+      CALL init_ioclient( ilocal_comm )       ! nemo local communicator (used or not) given by the io_server
 # endif
       narea = mynode( cltxt, ilocal_comm )    ! Nodes selection
@@ -206,7 +200,5 @@
 #else
 # if defined key_oasis3 || defined key_oasis4
-      IF( Agrif_Root() ) THEN
-         CALL cpl_prism_init( ilocal_comm )      ! nemo local communicator given by oasis
-      ENDIF
+      CALL cpl_prism_init( ilocal_comm )      ! nemo local communicator given by oasis
       narea = mynode( cltxt, ilocal_comm )    ! Nodes selection (control print return in cltxt)
 # else
Index: branches/devmercator2010/NEMO/OPA_SRC/step.F90
===================================================================
--- branches/devmercator2010/NEMO/OPA_SRC/step.F90	(revision 2069)
+++ branches/devmercator2010/NEMO/OPA_SRC/step.F90	(revision 2071)
@@ -166,9 +166,6 @@
 #if defined key_agrif
       kstp = nit000 + Agrif_Nb_Step()
-!      IF( Agrif_Root() .and. lwp) Write(*,*) '---'
-!      IF(lwp) Write(*,*) 'Grid Number',Agrif_Fixed(),' time step ',kstp
-# if defined key_iomput
-      IF( Agrif_Nbstepint() == 0) CALL iom_swap
-# endif   
+!      IF ( Agrif_Root() .and. lwp) Write(*,*) '---'
+!      IF (lwp) Write(*,*) 'Grid Number',Agrif_Fixed(),' time step ',kstp
 #endif   
       indic = 1                                       ! reset to no error condition
Index: branches/devmercator2010/NEMO/OPA_SRC/trc_oce.F90
===================================================================
--- branches/devmercator2010/NEMO/OPA_SRC/trc_oce.F90	(revision 2069)
+++ branches/devmercator2010/NEMO/OPA_SRC/trc_oce.F90	(revision 2071)
@@ -126,11 +126,11 @@
       zrgb(1,51) =  3.162   ;   zrgb(2,51) = 0.22703   ;   zrgb(3,51) = 0.16599   ;   zrgb(4,51) = 0.46601
       zrgb(1,52) =  3.548   ;   zrgb(2,52) = 0.24433   ;   zrgb(3,52) = 0.17334   ;   zrgb(4,52) = 0.47313
-      zrgb(1,53) =  3.981   ;   zrgb(2,53) = 0.26301   ;   zrgb(3,53) = 0.18126   ;   zrgb(4,53) = 0.48080
-      zrgb(1,54) =  4.467   ;   zrgb(2,54) = 0.28320   ;   zrgb(3,54) = 0.18981   ;   zrgb(4,54) = 0.48909
-      zrgb(1,55) =  5.012   ;   zrgb(2,55) = 0.30502   ;   zrgb(3,55) = 0.19903   ;   zrgb(4,55) = 0.49803
-      zrgb(1,56) =  5.623   ;   zrgb(2,56) = 0.32858   ;   zrgb(3,56) = 0.20898   ;   zrgb(4,56) = 0.50768
-      zrgb(1,57) =  6.310   ;   zrgb(2,57) = 0.35404   ;   zrgb(3,57) = 0.21971   ;   zrgb(4,57) = 0.51810
-      zrgb(1,58) =  7.079   ;   zrgb(2,58) = 0.38154   ;   zrgb(3,58) = 0.23129   ;   zrgb(4,58) = 0.52934
-      zrgb(1,59) =  7.943   ;   zrgb(2,59) = 0.41125   ;   zrgb(3,59) = 0.24378   ;   zrgb(4,59) = 0.54147
+      zrgb(1,53) =  3.981   ;   zrgb(2,53) = 0.26301   ;   zrgb(3,53) = 0.18126   ;   zrgb(4,54) = 0.48080
+      zrgb(1,54) =  4.467   ;   zrgb(2,54) = 0.28320   ;   zrgb(3,54) = 0.18981   ;   zrgb(4,55) = 0.48909
+      zrgb(1,55) =  5.012   ;   zrgb(2,55) = 0.30502   ;   zrgb(3,55) = 0.19903   ;   zrgb(4,56) = 0.49803
+      zrgb(1,56) =  5.623   ;   zrgb(2,56) = 0.32858   ;   zrgb(3,56) = 0.20898   ;   zrgb(4,57) = 0.50768
+      zrgb(1,57) =  6.310   ;   zrgb(2,57) = 0.35404   ;   zrgb(3,57) = 0.21971   ;   zrgb(4,58) = 0.51810
+      zrgb(1,58) =  7.079   ;   zrgb(2,58) = 0.38154   ;   zrgb(3,58) = 0.23129   ;   zrgb(4,59) = 0.52934
+      zrgb(1,59) =  7.943   ;   zrgb(2,59) = 0.41125   ;   zrgb(3,59) = 0.24378   ;   zrgb(4,50) = 0.54147
       zrgb(1,60) =  8.912   ;   zrgb(2,60) = 0.44336   ;   zrgb(3,60) = 0.25725   ;   zrgb(4,60) = 0.55457
       zrgb(1,61) = 10.000   ;   zrgb(2,61) = 0.47804   ;   zrgb(3,61) = 0.27178   ;   zrgb(4,61) = 0.56870
